Package wx :: Module aui :: Class AuiManager

[frames | no frames]

## Type AuiManager

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                    AuiManager

Proxy of C++ AuiManager class

Method Summary
AuiManager | `__init__(self, managed_wnd, flags)`
| `__del__(self)`
bool | ``AddPane`(self, window, info, caption)` AddPane tells the frame manager to start managing a child window.
Rect | `CalculateHintRect(self, pane_window, pt, offset)`
| `ClosePane(self, pane_info)`
AuiFloatingFrame | `CreateFloatingFrame(self, parent, p)`
bool | `DetachPane(self, window)`
| `DrawHintRect(self, pane_window, pt, offset)`
wxAuiPaneInfoArray | `GetAllPanes(self)`
AuiDockArt | `GetArtProvider(self)`
| `GetDockSizeConstraint(self, width_pct, height_pct)`
int | `GetFlags(self)`
| ``GetFrame`(*args, **kwargs)` GetFrame is deprecated, use `GetManagedWindow` instead.
Window | `GetManagedWindow(self)`
AuiManager | `GetManager(window)` (Static method)
PaneInfo | ``GetPane`(self, item)` GetPane is used to search for a `PaneInfo` object either by widget reference or by pane name, which acts as a unique id for a window pane.
| `HideHint(self)`
bool | `InsertPane(self, window, insert_location, insert_level)`
| `LoadPaneInfo(self, pane_part, pane)`
bool | `LoadPerspective(self, perspective, update)`
| `MaximizePane(self, pane_info)`
| `OnPaneButton(self, evt)`
| `OnRender(self, evt)`
| `RestoreMaximizedPane(self)`
| `RestorePane(self, pane_info)`
String | `SavePaneInfo(self, pane)`
String | `SavePerspective(self)`
| `SetArtProvider(self, art_provider)`
| `SetDockSizeConstraint(self, width_pct, height_pct)`
| `SetFlags(self, flags)`
| ``SetFrame`(*args, **kwargs)` SetFrame is deprecated, use `SetManagedWindow` instead.
| `SetManagedWindow(self, managed_wnd)`
| `ShowHint(self, rect)`
| `StartPaneDrag(self, pane_window, offset)`
| `UnInit(self)`
| `Update(self)`

Property Summary
| `AllPanes`: See `GetAllPanes`
| `ArtProvider`: See `GetArtProvider` and `SetArtProvider`
| `Flags`: See `GetFlags` and `SetFlags`
| `ManagedWindow`: See `GetManagedWindow` and `SetManagedWindow`
| `thisown`: The membership flag

Instance Method Details

### AddPane(self, window, info=None, caption=None)

AddPane tells the frame manager to start managing a child window. There are two versions of this function. The first verison accepts a `PaneInfo` object for the `info` parameter and allows the full spectrum of pane parameter possibilities. (Say that 3 times fast!)

The second version is used for simpler user interfaces which do not require as much configuration. In this case the `info` parameter specifies the direction property of the pane info, and defaults to `wx.LEFT`. The pane caption may also be specified as an extra parameter in this form.

  Returns:
    bool

### GetFrame(*args, **kwargs)

GetFrame is deprecated, use `GetManagedWindow` instead.

### GetPane(self, item)

GetPane is used to search for a `PaneInfo` object either by widget reference or by pane name, which acts as a unique id for a window pane. The returned `PaneInfo` object may then be modified to change a pane's look, state or position. After one or more modifications to the `PaneInfo`, `FrameManager.Update` should be called to realize the changes to the user interface.

If the lookup failed (meaning the pane could not be found in the manager) GetPane returns an empty `PaneInfo`, a condition which can be checked by calling `PaneInfo.IsOk`.

  Parameters:
    `item`
    (type=window_or_info)

  Returns:
    PaneInfo

### SetFrame(*args, **kwargs)

SetFrame is deprecated, use `SetManagedWindow` instead.

Property Details

### AllPanes

See `GetAllPanes`

  Get Method:
    `GetAllPanes`(self)

### ArtProvider

See `GetArtProvider` and `SetArtProvider`

  Get Method:
    `GetArtProvider`(self)
  Set Method:
    `SetArtProvider`(self, art_provider)

### Flags

See `GetFlags` and `SetFlags`

  Get Method:
    `GetFlags`(self)
  Set Method:
    `SetFlags`(self, flags)

### ManagedWindow

See `GetManagedWindow` and `SetManagedWindow`

  Get Method:
    `GetManagedWindow`(self)
  Set Method:
    `SetManagedWindow`(self, managed_wnd)

### thisown

The membership flag

  Get Method:
    unknown--1216200548(...)
  Set Method:
    unknown--1216200492(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:23 2007 | http://epydoc.sf.net